org.apache.hadoop.yarn.api.protocolrecords

## Class GetClusterNodeAttributesRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetClusterNodeAttributesRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public abstract class GetClusterNodeAttributesRequest
      extends Object

  The request from clients to get node attributes in the cluster from the `ResourceManager`.

  See Also:
    `(GetClusterNodeAttributesRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetClusterNodeAttributesRequest()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GetClusterNodeAttributesRequest` | `newInstance()` Create new instance of GetClusterNodeAttributesRequest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetClusterNodeAttributesRequest

          public GetClusterNodeAttributesRequest()

  - ### Method Detail

    - #### newInstance

          public static GetClusterNodeAttributesRequest newInstance()

      Create new instance of GetClusterNodeAttributesRequest.
      Returns:
        GetClusterNodeAttributesRequest is returned.

Copyright © 2022 Apache Software Foundation. All rights reserved.